using Engine.Graphics.Buffer.Vertex;
using OpenTK.Graphics.OpenGL;
using OpenTK.Mathematics;

namespace Engine.Graphics.Render.Text;

public struct GlyphCommonVertex : IVertex
{
  [Vertex(VertexAttribType.Float, 4)] public Vector4 _color;
  [Vertex(VertexAttribType.Int)] public int _atlasId;
  [Vertex(VertexAttribType.Float, 2)] public Vector2 _unitRange;
  [Vertex(VertexAttribType.Float, 4, 4)] public Matrix4 _modelMatrix;
}